Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.policy
Class PolicyCurrentImpl

    java.lang.Object
      |
      +--org.omg.CORBA.LocalObject
            |
            +--org.openorb.policy.PolicyCurrentImpl

All Implemented Interfaces:
  Current, CurrentOperations, IDLEntity, Object, PolicyCurrent, PolicyCurrentOperations, PolicyManager, PolicyManagerOperations, java.io.Serializable

public class PolicyCurrentImpl
extends LocalObject
implements PolicyCurrent

Version:
  $Revision: 1.6 $ $Date: 2002/06/28 08:59:05 $
Author:
  Chris Wood
See Also:
  Serialized Form

Constructor Summary
`PolicyCurrentImpl(ORBPolicyManagerImpl manager)`

Method Summary
`Policy[]` | `get_policy_overrides(int[] ts)` Returns a PolicyList containing the overridden Polices for the requested PolicyTypes.
`void` | `pop()`
`void` | `push()`
`void` | `set_policy_overrides(Policy[] policies, SetOverrideType set_add)` Modifies the current set of overrides with the requested list of Policy overrides.

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### PolicyCurrentImpl

    public PolicyCurrentImpl(ORBPolicyManagerImpl manager)

Method Detail

### set_policy_overrides

    public void set_policy_overrides(Policy[] policies,
                                     SetOverrideType set_add)
                              throws InvalidPolicies

  Modifies the current set of overrides with the requested list of Policy overrides. The first parameter policies is a sequence of references to Policy objects. The second parameter set_add of type SetOverrideType indicates whether these policies should be added onto any other overrides that already exist (ADD_OVERRIDE) in the PolicyManager, or they should be added to a clean PolicyManager free of any other overrides (SET_OVERRIDE). Invoking set_policy_overrides with an empty sequence of policies and a mode of SET_OVERRIDE removes all overrides from a PolicyManager.
  Specified by:
    `set_policy_overrides` in interface `PolicyManagerOperations`

### get_policy_overrides

    public Policy[] get_policy_overrides(int[] ts)

  Returns a PolicyList containing the overridden Polices for the requested PolicyTypes. If the specified sequence is empty, all Policy overrides at this scope will be returned. If none of the requested PolicyTypes are overridden at the target PolicyManager, an empty sequence is returned.
  Specified by:
    `get_policy_overrides` in interface `PolicyManagerOperations`

### push

    public void push()

### pop

    public void pop()

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD